- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages
- Examples

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# windows_resource_bundle::missing_resource_id_exception Class Reference

`#include <fastformat/bundles/windows_resource_bundle.hpp>`

Inheritance diagram for windows_resource_bundle::missing_resource_id_exception:

List of all members.

## Detailed Description

The exception type.

## Public Types
typedef bundle_exception | parent_class_type
| The parent exception class type.
typedef missing_resource_id_exception | class_type
| This type.
typedef parent_class_type::string_type | string_type
| The string type.
## Public Member Functions
| missing_resource_id_exception (int id)
| Constructs an exception with the given message.
| missing_resource_id_exception (char const *msg, DWORD code, ff_char_t const *id, ff_char_t const *resourceType)
| Constructs an exception with the given message, Windows error code, resource id and resource type.
| missing_resource_id_exception (char const *msg, DWORD code, int id, ff_char_t const *resourceType)
| Constructs an exception with the given message, Windows error code, resource id and resource type.
## Public Attributes
const int | id
| The identifier of the resource that could not be loaded.
const DWORD | code
| The windows error code associated with the load failure.

## Member Typedef Documentation

typedef bundle_exception parent_class_type

The parent exception class type.

Reimplemented from bundle_exception.

typedef missing_resource_id_exception class_type

This type.

Reimplemented from bundle_exception.

typedef parent_class_type::string_type string_type

The string type.

Reimplemented from bundle_exception.

## Constructor & Destructor Documentation

missing_resource_id_exception | ( | int | id | ) | `[inline, explicit]`

Constructs an exception with the given message.

Parameters:

  | id | The identifier of the resource that could not be loaded

missing_resource_id_exception | ( | char const * | msg,
|  | DWORD | code,
|  | ff_char_t const * | id,
|  | ff_char_t const * | resourceType |
| ) |  |  | `[inline]`

Constructs an exception with the given message, Windows error code, resource id and resource type.

Parameters:

  | msg | The message associated with the exception at the throw site
  | code | The Windows error code associated with the condition that resulted in the throwing of the exception
  | id | The identifier of the resource that could not be loaded
  | resourceType | The type of the resource that could not be loaded

missing_resource_id_exception | ( | char const * | msg,
|  | DWORD | code,
|  | int | id,
|  | ff_char_t const * | resourceType |
| ) |  |  | `[inline]`

Constructs an exception with the given message, Windows error code, resource id and resource type.

Parameters:

  | msg | The message associated with the exception at the throw site
  | code | The Windows error code associated with the condition that resulted in the throwing of the exception
  | id | The identifier of the resource that could not be loaded
  | resourceType | The type of the resource that could not be loaded

## Member Data Documentation

const int id

The identifier of the resource that could not be loaded.

const DWORD code

The windows error code associated with the load failure.

The documentation for this class was generated from the following file:

- fastformat/bundles/windows_resource_bundle.hpp

FastFormat Library documentation © Matthew Wilson, 2006-2009 |